Index: Singular/LIB/jordan.lib
===================================================================
--- Singular/LIB/jordan.lib	(revision 1eb7af12ba2eda02be4f55b12705297ff94d3b13)
+++ Singular/LIB/jordan.lib	(revision 4ad2bb592a6ffe7f195320a5d4bec4f9ef0c57dd)
@@ -1,5 +1,5 @@
 ///////////////////////////////////////////////////////////////////////////////
 
-version="$Id: jordan.lib,v 1.12 1999-06-21 08:45:41 mschulze Exp $";
+version="$Id: jordan.lib,v 1.13 1999-06-22 15:39:03 mschulze Exp $";
 info="
 LIBRARY: jordan.lib  PROCEDURES TO COMPUTE THE JORDAN NORMAL FORM
@@ -70,4 +70,5 @@
          By default, opt=0.
 NOTE:    A non constant polynomial matrix M is replaced by its constant part.
+DISPLAY: The procedure displays comments if printlevel>=1.
 EXAMPLE: example jordan; shows an example.
 "
@@ -386,4 +387,5 @@
 RETURN:  The procedure returns the Jordan matrix J with eigenvalues jd[1] and
          size jd[2][i][j] of j-th Jordan block with eigenvalue jd[1][i].
+DISPLAY: The procedure displays comments if printlevel>=1.
 EXAMPLE: example jordanmatrix; shows an example.
 "
@@ -477,4 +479,5 @@
 RETURN:  The procedure returns the Jordan normal form of M.
 NOTE:    A non constant polynomial matrix M is replaced by its constant part.
+DISPLAY: The procedure displays more comments for higher printlevel.
 EXAMPLE: example jordanform; shows an example.
 "
Index: Singular/LIB/mondromy.lib
===================================================================
--- Singular/LIB/mondromy.lib	(revision 1eb7af12ba2eda02be4f55b12705297ff94d3b13)
+++ Singular/LIB/mondromy.lib	(revision 4ad2bb592a6ffe7f195320a5d4bec4f9ef0c57dd)
@@ -1,5 +1,5 @@
 ///////////////////////////////////////////////////////////////////////////////
 
-version="$Id: mondromy.lib,v 1.2 1999-06-22 14:50:49 mschulze Exp $";
+version="$Id: mondromy.lib,v 1.3 1999-06-22 15:38:54 mschulze Exp $";
 info="
 LIBRARY: mondromy.lib  PROCEDURES TO COMPUTE THE MONODROMY OF A SINGULARITY
@@ -149,5 +149,5 @@
 RETURN:  The procedure returns the series inverse of u up to order n
          or a zero polynomial if u is no series unit.
-DISPLAY: printlevel>=1; shows comments.
+DISPLAY: The procedure displays comments if printlevel>=1.
 EXAMPLE: example invunit; shows an example.
 "
@@ -164,5 +164,5 @@
     poly v=lift(fetch(br,u),1)[1,1];
     dbprint(printlevel-voice+2,"//...inverse computed ["+string(timer-t)+
-      " secs]");
+      " secs, "+string(memory(1))+" bytes]");
 
     setring br;
@@ -190,5 +190,5 @@
          If U is a square matrix and the determinant of U not zero, 
          then the second entry is the adjoint matrix of U.
-DISPLAY: printlevel>=1; shows comments.
+DISPLAY: The procedure displays comments if printlevel>=1.
 EXAMPLE: example detadj; shows an example.
 "
@@ -200,5 +200,5 @@
     poly detU=det(U);
     dbprint(printlevel-voice+2,"//...determinant computed ["+string(timer-t)+
-      " secs]");
+      " secs, "+string(memory(1))+" bytes]");
 
     if(detU==0)
@@ -218,5 +218,5 @@
       matrix adjU=lift(U,detU*freemodule(nrows(U)));
       dbprint(printlevel-voice+2,"//...adjoint matrix computed ["
-        +string(timer-t)+" secs]");
+        +string(timer-t)+" secs, "+string(memory(1))+" bytes]");
 
       setring br;
@@ -250,5 +250,5 @@
          int, vector, poly such that kappa is minimal with f^kappa in jacob(f),
          u is a unit, and u*f^kappa=(matrix(jacob(f))*xi)[1,1].
-DISPLAY: printlevel>=1; shows comments.
+DISPLAY: The procedure displays comments if printlevel>=1.
 EXAMPLE: example jacoblift; shows an example.
 "
@@ -267,15 +267,18 @@
   }
   dbprint(printlevel-voice+2,"//kappa="+string(kappa));
-  dbprint(printlevel-voice+2,"//...kappa computed ["+string(timer-t)+" secs]");
+  dbprint(printlevel-voice+2,"//...kappa computed ["+string(timer-t)+" secs, "
+    +string(memory(1))+" bytes]");
 
   dbprint(printlevel-voice+2,"//computing xi...");
   t=timer;
   vector xi=lift(jf,fkappa)[1];
-  dbprint(printlevel-voice+2,"//...xi computed ["+string(timer-t)+" secs]");
+  dbprint(printlevel-voice+2,"//...xi computed ["+string(timer-t)+" secs, "
+    +string(memory(1))+" bytes]");
 
   dbprint(printlevel-voice+2,"//computing u...");
   t=timer;
   poly u=(matrix(jf)*xi)[1,1]/fkappa;
-  dbprint(printlevel-voice+2,"//...u computed ["+string(timer-t)+" secs]");
+  dbprint(printlevel-voice+2,"//...u computed ["+string(timer-t)+" secs, "
+    +string(memory(1))+" bytes]");
 
   return(list(kappa,xi,u));
@@ -362,5 +365,5 @@
   {
     dbprint(printlevel-voice+2,"//...codimension computed ["+string(timer-t)
-      +" secs]");
+      +" secs, "+string(memory(1))+" bytes]");
 
     deltaP1=getdeltaP1(f,K,N,deltaN);
@@ -383,5 +386,5 @@
   }
   dbprint(printlevel-voice+2,"//...codimension computed ["+string(timer-t)
-    +" secs]");
+    +" secs, "+string(memory(1))+" bytes]");
 
   return(K,N,P1,P2,Pe,V1,V2,Ve);
@@ -423,5 +426,5 @@
   Vnablae=nablaK(f,kappa,xi,u,N,prevN,Vnablae,e);
   dbprint(printlevel-voice+2,"//...nabla(e) computed ["+string(timer-t)
-    +" secs]");
+    +" secs, "+string(memory(1))+" bytes]");
 
   dbprint(printlevel-voice+2,
@@ -434,5 +437,5 @@
   matrix C=lift(W,module(Vnablae[1..size(Vnablae)]));
   dbprint(printlevel-voice+2,"//...nabla(e) lifted ["+string(timer-t)
-    +" secs]");
+    +" secs, "+string(memory(1))+" bytes]");
 
   dbprint(printlevel-voice+2,"//computing e-lift of nabla(e)...");
@@ -451,5 +454,5 @@
   }
   dbprint(printlevel-voice+2,"//...e-lift of nabla(e) computed ["
-    +string(timer-t)+" secs]");
+    +string(timer-t)+" secs, "+string(memory(1))+" bytes]");
 
   return(M,N,Vnablae);
@@ -493,5 +496,6 @@
     U=syz(M0e)+U;
   }
-  dbprint(printlevel-voice+2,"//...U computed ["+string(timer-t)+" secs]");
+  dbprint(printlevel-voice+2,"//...U computed ["+string(timer-t)+" secs, "
+    +string(memory(1))+" bytes]");
 
   dbprint(printlevel-voice+2,"//transforming M to U...");
@@ -500,5 +504,6 @@
   daU[2]=(1/number(daU[1]))*daU[2];
   M=daU[2]*M*U;
-  dbprint(printlevel-voice+2,"//...M transformed ["+string(timer-t)+" secs]");
+  dbprint(printlevel-voice+2,"//...M transformed ["+string(timer-t)+" secs, "
+    +string(memory(1))+" bytes]");
 
   dbprint(printlevel-voice+2,
@@ -536,5 +541,5 @@
   dbprint(printlevel-voice+2,
     "//...integer differences of eigenvalues of M0 computed ["+string(timer-t)
-    +" secs]");
+    +" secs, "+string(memory(1))+" bytes]");
 
   dbprint(printlevel-voice+2,"//transforming M...");
@@ -561,5 +566,6 @@
     }
   }
-  dbprint(printlevel-voice+2,"//...M transformed ["+string(timer-t)+" secs]");
+  dbprint(printlevel-voice+2,"//...M transformed ["+string(timer-t)+" secs, "
+    +string(memory(1))+" bytes]");
 
   return(M);
@@ -602,5 +608,6 @@
   int t=timer;
   e=pcvcv2p(quotV(V1+V2,N),0,N);
-  dbprint(printlevel-voice+2,"//...e computed ["+string(timer-t)+" secs]");
+  dbprint(printlevel-voice+2,"//...e computed ["+string(timer-t)+" secs, "
+    +string(memory(1))+" bytes]");
 
   dbprint(printlevel-voice+2,"//e=");
@@ -631,5 +638,5 @@
     {
       dbprint(printlevel-voice+2,"//...compared with previous lattice ["
-        +string(timer-t)+" secs]");
+        +string(timer-t)+" secs, "+string(memory(1))+" bytes]");
 
       dbprint(printlevel-voice+2,"//increasing K and N...");
@@ -649,5 +656,5 @@
         module(mdivp(M*U,var(1)^(kappa-1))),(kappa-1)*(mu-1)));
       dbprint(printlevel-voice+2,"//...lattice enlarged ["+string(timer-t)
-        +" secs]");
+        +" secs, "+string(memory(1))+" bytes]");
 
       dbprint(printlevel-voice+2,"//comparing with previous lattice...");
@@ -655,5 +662,5 @@
     }
     dbprint(printlevel-voice+2,"//...compared with previous lattice ["
-      +string(timer-t)+" secs]");
+      +string(timer-t)+" secs, "+string(memory(1))+" bytes]");
     dbprint(printlevel-voice+2,"//...t*nabla-stable lattice computed");
 
@@ -666,5 +673,5 @@
       dbprint(printlevel-voice+2,
         "//...C{f}-basis of t*nabla-stable lattice computed ["+string(timer-t)
-        +" secs]");
+        +" secs, "+string(memory(1))+" bytes]");
     }
 
@@ -699,5 +706,5 @@
       leadcoef(daU[1])*var(1)^(kappa+pcvmindeg(daU[1])-1));
     dbprint(printlevel-voice+2,"//...M/t^kappa transformed to simple pole ["
-      +string(timer-t)+" secs]");
+      +string(timer-t)+" secs, "+string(memory(1))+" bytes]");
   }
 
@@ -711,5 +718,5 @@
     int delta=mid(eM0);
     dbprint(printlevel-voice+2,"//...delta computed ["+string(timer-t)
-      +" secs]");
+      +" secs, "+string(memory(1))+" bytes]");
 
     dbprint(printlevel-voice+2,"//delta="+string(delta));
@@ -743,5 +750,5 @@
         dbprint(printlevel-voice+2,
           "//...M/t^kappa transformed to simple pole ["+string(timer-t)
-          +" secs]");
+          +" secs, "+string(memory(1))+" bytes]");
       }
 
@@ -776,5 +783,6 @@
   int t=timer;
   ideal e=kbase(std(jacob(f)));
-  dbprint(printlevel-voice+2,"//...e computed ["+string(timer-t)+" secs]");
+  dbprint(printlevel-voice+2,"//...e computed ["+string(timer-t)+" secs, "
+    +string(memory(1))+" bytes]");
 
   dbprint(printlevel-voice+2,
@@ -812,5 +820,5 @@
          Ann. Inst. Fourier, Grenoble 23,1 (1973), pp. 157-195) to transform 
          it to a simple pole.
-DISPLAY: printlevel>=1; shows comments.
+DISPLAY: The procedure displays more comments for higher printlevel.
 EXAMPLE: example monodromy; shows an example.
 "
@@ -856,5 +864,6 @@
     int t=timer;
     int mu=milnor(f);
-    dbprint(printlevel-voice+2,"//...mu computed ["+string(timer-t)+" secs]");
+    dbprint(printlevel-voice+2,"//...mu computed ["+string(timer-t)+" secs, "
+      +string(memory(1))+" bytes]");
 
     dbprint(printlevel-voice+2,"//mu="+string(mu));
@@ -913,5 +922,5 @@
          Brieskorn lattice H''=Omega^(n+1)/df^dOmega^(n-1).
 THEORY:  H'' is a free C{f}-module of rank milnor(f).
-DISPLAY: printlevel>=1; shows comments.
+DISPLAY: The procedure displays more comments for higher printlevel.
 EXAMPLE: example H''basis; shows an example.
 "
@@ -943,5 +952,6 @@
     int t=timer;
     int mu=milnor(f);
-    dbprint(printlevel-voice+2,"//...mu computed ["+string(timer-t)+" secs]");
+    dbprint(printlevel-voice+2,"//...mu computed ["+string(timer-t)+" secs, "
+      +string(memory(1))+" bytes]");
 
     dbprint(printlevel-voice+2,"//mu="+string(mu));
@@ -994,5 +1004,6 @@
       t=timer;
       e=pcvcv2p(quotV(V1+V2,N),0,N);
-      dbprint(printlevel-voice+2,"//...e computed ["+string(timer-t)+" secs]");
+      dbprint(printlevel-voice+2,"//...e computed ["+string(timer-t)+" secs, "
+        +string(memory(1))+" bytes]");
 
       dbprint(printlevel-voice+2,"//e=");
